class control_radionb2  {

inherit itk::Widget Bean Node

public variable control_info_node
#public variable directives
public variable directive_info_tree
public variable confnode
private variable map
private variable conf
private variable listboxes ""

constructor {args} { Widget::constructor} {

array set map ""
array set conf ""


itk_component add notebook {iwidgets::notebook $itk_interior.nb  -height 200 -width 230}
pack $itk_component(notebook) -fill both -expand yes -side right  -pady 4

itk_component add radio {iwidgets::radiobox $itk_interior.rb  }
pack $itk_component(radio) -side left  -pady 4 -fill y

eval itk_initialize $args
}

public method initialize {}
public method load {}
public method save {} {}

}

body control_radionb2::initialize {} {

array set conf [$control_info_node get_data]
#set directives [$directive_info_tree ext_contents directive $conf(directives)]

foreach directive $conf(directives) {

	$itk_component(radio) add $directive -text $conf($directive.text) 
	set page [$itk_component(notebook) add -label $directive]
	lappend listboxes  [control_list2 $page.lb]

	$page.lb configure -directive_info_tree $directive_info_tree  -confnode $confnode -control_info_node 	[temp ext_contents name $directive]

###########################OJO!!!!!!!!!!!!!!!!!!!!!!!!!!!! Fulleria aqui con lo del temp. Pasar control_info_tree

	$page.lb initialize

	pack $page.lb -expand false
      #-fill both -expand true 

	}
$itk_component(radio) configure -command "$itk_component(notebook) select \[$itk_component(radio) get\]"
$itk_component(radio) select 0


}

body control_radionb2::load {} {
foreach list $listboxes {
     $list configure -confnode $confnode
     $list load
}
}


body control_radionb2::save {} {



foreach list $listboxes {

$list save

}

}

