
# Concepts borrowed from tcl-tk tools great book

class Node {

        private variable parent {}
        protected variable children {}
        protected variable data
		    
        constructor {args} {
        array set data {}
	  set data(last_modified) 1
	  # Para que al principio lo lean
        
        eval configure $args
	}
	
	destructor {
	# clear
      # Lo estamos utilizando en el namespace y no debemos de borrar hijos, solo nodo a nodo
 	# Los hijos se borraran de otra manera, con sucesivas llamadas a NameSpace::DeleteItem
	}

      public method add {objs}
	public method remove {obj}
      public method contents {args}
	public method ext_contents {args}
      public method clear {}
      public method ascendant {}
	
	public method get_data {args}  
      public method set_data {args}
        	
      private method parent {pobj}

        
}

body Node::add {objs} {
    foreach obj $objs {$obj parent $this}
    lappend children $objs
}

body Node::remove {objs} {

foreach obj $objs {
    set position [lsearch -exact $children $obj]
    set children [lreplace $children $position $position ]
    delete object $obj
    }
}

body Node::clear {} {
  if {$children != ""} {
    eval delete object $children
    }
    set children {}
}


body Node::parent {pobj} {
    set parent $pobj
}

body Node::ascendant {} {
    return $parent 
}

body Node::contents {} {
    return $children
}

body Node::ext_contents {var request} {
    set tmplist ""
    foreach kid $children {
    if ![string compare [$kid get_data $var] $request] {lappend tmplist $kid}
    }
    return $tmplist
}

# poner algo como time stamp. Extenderemos contents para que pueda aceptar
# contents {type container}, etc y cacheamos la informacion. La siguiente vez,
# si no hubo cambios devolvemos la misma

body Node::get_data {args} {
set answer ""
if {$args == ""} {return [array get data]}

foreach field $args {
if [info exists data($field)] {lappend answer $data($field)} else {lappend answer {} }
}

return [join $answer]
}

body Node::set_data {args} {

array set data $args

}
