class control_compound  {

# A falta de mejor nombre esto es lo que se encargara de los logs

inherit itk::Widget Bean Node

public variable control_info_node
#public variable directives
public variable directive_info_tree
public variable confnode
private variable map
private variable conf
private variable entries

constructor {args} { Widget::constructor} {

array set map ""
array set conf ""


itk_component add listbox {iwidgets::scrolledlistbox $itk_interior.listbox -exportselection 0\
                           -vscrollmode dynamic -hscrollmode dynamic  -selectmode single  -relief sunken -borderwidth 4 -selectioncommand "$this edit" }

pack $itk_component(listbox) -fill both -expand yes -side left -padx 4 -pady 4

itk_component add notebook {iwidgets::notebook $itk_interior.nb  -height 150 -width 270}
pack $itk_component(notebook) -fill both -expand yes -side right 

eval itk_initialize $args


}


public method initialize {}
public method load {}
public method edit {}
public method save {} {}

}

body control_compound::initialize {} {

array set conf [$control_info_node get_data]

foreach directive $conf(directives) {

$itk_component(listbox) insert end $conf($directive.text)

set page [$itk_component(notebook) add -label $directive]
lappend entries [control_bdir $page.lb]

message $page.legend -width 250 -relief groove -text $conf($directive.tip)
pack $page.legend  -pady 8 -fill x  -side top -anchor n

$page.lb configure -directive_info_tree $directive_info_tree  -confnode $confnode \
-control_info_node  [temp ext_contents name $directive]

###############OJO!!!!!!!!!!!!!!!! Fulleria aqui con lo del temp. Pasar control_info_tree
	$page.lb initialize

	pack $page.lb -side top -anchor n -pady 5  -expand true 



}
$itk_component(listbox) configure\
-selectioncommand "$itk_component(notebook) \
select \[$itk_component(listbox) curselection \]"

$itk_component(listbox) selection set  0
$itk_component(notebook) select  0
# poner aqui tambien para configurar balloon help. Mirar comanche         
}

body control_compound::load {} {
foreach list $entries {
     $list configure -confnode $confnode
     $list load
}
}

body control_compound::edit {} {

if {[$itk_component(listbox) getcurselection] != ""} {
set directive $map([$itk_component(listbox) getcurselection])
$itk_component(legend) configure -text $conf($directive.tip)
}

}


body control_compound::save {} {

foreach list $entries {

$list save

}

}
